#common scoring 
#(c) by FiRe^

import host
import bf2


SCORE_MARKED = 5
SCORE_TEAMMARKED = -1
SCORE_DISQUALIFY = 5
SCORE_TEAMDISQUALIFY = -1

SCORE_TAKEFLAG = 25
SCORE_OWNFLAG = 10
SCORE_CAPTUREFLAG = 50


def init():
    host.registerGameStatusHandler(onGameStatusChanged)
    print 'scoring common init'


def onGameStatusChanged(status):
    if status == bf2.GameStatus.Playing:
	host.registerHandler('PlayerKilled', onPlayerKilled, 1)
	host.registerHandler('PlayerDeath', onPlayerDeath, 1)


def onPlayerKilled(victim, attacker, weapon, assists, object):	
    if attacker == None:
        pass
		
    victimVehicle = victim.getVehicle()

    if object and object.isPlayerControlObject and object.getIsRemoteControlled():		
	pass
    elif attacker == None:
	pass
    elif attacker == victim:
	attacker.score.suicides += 1
	attacker.score.rplScore -= 1
    elif attacker.getTeam() == victim.getTeam():
	if object != None and object.getIsWreck():
	    return
	if weapon:
	    attackerVehicle = bf2.objectManager.getRootParent(weapon)
	    if attackerVehicle.isPlayerControlObject and attackerVehicle.getIsRemoteControlled():
		return
	attacker.score.TKs += 1
	attacker.score.rplScore -1
    else:
	attacker.score.kills += 1
	attacker.score.rplScore += 1


def onPlayerDeath(victim, vehicle):
    victim.score.deaths += 1
